Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25568

Description

In processing, when one uses "Feature source" as input, there is a checkbox to restrict processing to use selected features only.

When using "Vector layer" as an input, this checkbox is missing.

It is a regression, since in the older QGIS version, this version was available as a global option (through Options --> Processing settings).

Now this option is gone.

Not sure if this is a Processing/GUI or Processing/core issue or both?

Associated revisions

Revision 5a7da090 - 2018-01-16 11:35 AM - Nyall Dawson

[needs-docs] Rename some processing input types in modeler for clarity

Refs #17671

Revision 5da28ed9 - 2018-01-16 11:35 AM - Nyall Dawson

[needs-docs][processing] Add tooltips to input types in modeler

...to help clarify for users what the different input types mean.

Fixes #17671, which is a result of unclear distinction between

the uses of vector features vs vector layer inputs.

Tagged as needs-docs, as it may help with documentation for 3.0

History

#1 - 2018-01-16 11:35 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|5da28ed9f0480525d1549feeddd9a94c7ef55c4a.
#2 - 2018-01-16 09:53 PM - Andreas Neumann

Thanks a lot, Nyall!

Much appreciated.

#3 - 2018-02-22 11:15 AM - Giovanni Manghi

- Resolution set to fixed/implemented
